<?xml version="1.0"?> 

<!--
    Copyright (c) 2001-2003, Jean Tessier
    All rights reserved.
    
    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:
    
    	* Redistributions of source code must retain the above copyright
    	  notice, this list of conditions and the following disclaimer.
    
    	* Redistributions in binary form must reproduce the above copyright
    	  notice, this list of conditions and the following disclaimer in the
    	  documentation and/or other materials provided with the distribution.
    
    	* Neither the name of Jean Tessier nor the names of his contributors
    	  may be used to endorse or promote products derived from this software
    	  without specific prior written permission.
    
    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
    PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
    LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
    NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="text"/>
    <xsl:strip-space elements="*"/> 

    <xsl:template match="dependencies">
	<xsl:apply-templates/>
    </xsl:template>
  
    <xsl:template match="package[outbound | class/outbound | class/feature/outbound]">
	<xsl:value-of select="name"/><xsl:text>
</xsl:text>
	<xsl:for-each select="outbound">
	    <xsl:text disable-output-escaping="yes">    --&gt; </xsl:text><xsl:value-of select="."/><xsl:text>
</xsl:text>
	</xsl:for-each>
	<xsl:apply-templates select="class"/>
    </xsl:template>
    <xsl:template match="package"></xsl:template>
  
    <xsl:template match="class[outbound | feature/outbound]">
	<xsl:text>    </xsl:text><xsl:value-of select="name"/><xsl:text>
</xsl:text>
	<xsl:for-each select="outbound">
	    <xsl:text disable-output-escaping="yes">        --&gt; </xsl:text><xsl:value-of select="."/><xsl:text>
</xsl:text>
	</xsl:for-each>
	<xsl:apply-templates select="feature"/>
    </xsl:template>
    <xsl:template match="class"></xsl:template>
  
    <xsl:template match="feature[outbound]">
	<xsl:text>        </xsl:text><xsl:value-of select="name"/><xsl:text>
</xsl:text>
	<xsl:for-each select="outbound">
	    <xsl:text disable-output-escaping="yes">            --&gt; </xsl:text><xsl:value-of select="."/><xsl:text>
</xsl:text>
	</xsl:for-each>
    </xsl:template>
    <xsl:template match="feature"></xsl:template>
  
</xsl:stylesheet>
